Package org.drinkless.tdlib

# Class TdApi.SetInlineGameScore

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetInlineGameScore

Enclosing class:
  TdApi

public static class TdApi.SetInlineGameScore extends TdApi.Function<TdApi.Ok>
Updates the game score of the specified user in a game; for bots only.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `editMessage`
  Pass true to edit the game message to include the current scoreboard.
  `boolean`
  `force`
  Pass true to update the score even if it decreases.
  `String`
  `inlineMessageId`
  Inline message identifier.
  `int`
  `score`
  The new score.
  `long`
  `userId`
  User identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetInlineGameScore()`
  Default constructor for a function, which updates the game score of the specified user in a game; for bots only.
  `SetInlineGameScore(String inlineMessageId, boolean editMessage, long userId, int score, boolean force)`
  Creates a function, which updates the game score of the specified user in a game; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### inlineMessageId

    public String inlineMessageId
    Inline message identifier.

  - ### editMessage

    public boolean editMessage
    Pass true to edit the game message to include the current scoreboard.

  - ### userId

    public long userId
    User identifier.

  - ### score

    public int score
    The new score.

  - ### force

    public boolean force
    Pass true to update the score even if it decreases. If the score is 0, the user will be deleted from the high score table.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetInlineGameScore

    public SetInlineGameScore()
    Default constructor for a function, which updates the game score of the specified user in a game; for bots only.

    Returns `Ok`

  - ### SetInlineGameScore

    public SetInlineGameScore(String inlineMessageId, boolean editMessage, long userId, int score, boolean force)
    Creates a function, which updates the game score of the specified user in a game; for bots only.

    Returns `Ok`

    Parameters:
      `inlineMessageId` - Inline message identifier.
      `editMessage` - Pass true to edit the game message to include the current scoreboard.
      `userId` - User identifier.
      `score` - The new score.
      `force` - Pass true to update the score even if it decreases. If the score is 0, the user will be deleted from the high score table.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR